﻿local bbs2util = require "bbs2util"

function data()
return {
	tracks = {
		{ name = "vehicle/e18/e18_stand.wav", refDist = 20.0 },
		{ name = "vehicle/e18/gw_roll_a.wav", refDist = 20.0 },
		{ name = "vehicle/e18/e18_luft.wav", refDist = 25.0 },		
		{ name = "vehicle/e18/e18_besch.wav", refDist = 25.0 },		
		{ name = "vehicle/e18/kurve.wav", refDist = 20.0 },
		{ name = "vehicle/e18/bremse_alt.wav", refDist = 20.0 },

	},
	events =  {
		horn = { names = { "vehicle/e18/e18_pfiff2.wav" }, refDist = 25.0 },
		closeDoors = { names = { "vehicle/e18/e18_abf.wav" }, refDist = 9.0 },		
		
	},

	updateFn = function (input)
		local speed01 = input.speed / input.topSpeed
		local refWeight = 15.0	
		local axleRefWeight = 10.0
		
		return {
			tracks = {
			--stand	
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 0.6 },
									{ 1.0, 0.6 } }, input.speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},

			--Roll
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 0.0 },
									{ .2, .4 },
									{ 1.0, 0.9 } }, input.speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.4 },
									{ 1.0, 1.7 } }, input.speed01)
				},
			
				
			--luft
				{ 
					gain = bbs2util.sampleCurve({ 			
										{ .0, .0 },
										{ .3, .0 },
										{ .3001, 0.5 },
										{ 1.0, 0.5 } }, input.speed01),																	
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},			

			--besch
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, .0 },
									{ .01, 0.85 },
									{ 1.0, 1.05 } }, input.speed01)*
						bbs2util.sampleCurve({ 				
										{ .0, 0.0 },
										{ .15, 0.0 },
										{ 1.0, 0.8 }}, input.power01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 0.65 },
									{ .01, 0.65 },
									{ 1.0, 1.2 } }, input.speed01)
									
				},
			
				bbs2util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bbs2util.brake(input.speed, input.brakeDecel, 1.1),
			--	bbs2util.slow(input.speed, input.brakeDecel, 0.7),
				
			},
			events = {
						horn = { gain = 1.0, pitch = 1.0 },		
						closeDoors = { gain = 1.0, pitch = 1.0 },
			}
		}
	end
}
end
